## xen-source-2.6.17 2.6.17-6

=== drivers/Makefile ===
#
# Makefile for the Linux kernel device drivers.
#
# 15 Sep 2000, Christoph Hellwig <hch@infradead.org>
# Rewritten to use lists instead of if-statements.
#

obj-$(CONFIG_PCI)		+= pci/
obj-$(CONFIG_PARISC)		+= parisc/
obj-$(CONFIG_RAPIDIO)		+= rapidio/
obj-y				+= video/
obj-$(CONFIG_ACPI)		+= acpi/
# PnP must come after ACPI since it will eventually need to check if acpi
# was used and do nothing if so
obj-$(CONFIG_PNP)		+= pnp/
obj-$(CONFIG_ARM_AMBA)		+= amba/

# char/ comes before serial/ etc so that the VT console is the boot-time
# default.
obj-y				+= char/

obj-$(CONFIG_CONNECTOR)		+= connector/

# i810fb and intelfb depend on char/agp/
obj-$(CONFIG_FB_I810)           += video/i810/
obj-$(CONFIG_FB_INTEL)          += video/intelfb/

obj-y				+= serial/
obj-$(CONFIG_PARPORT)		+= parport/
obj-$(CONFIG_GAMEPORT)		+= input/gameport/
# load keyboard early so speakup can be quieted
obj-$(CONFIG_INPUT)		+= input/
obj-y				+= base/ block/ misc/ mfd/ net/ media/
obj-$(CONFIG_NUBUS)		+= nubus/
obj-$(CONFIG_ATM)		+= atm/
obj-$(CONFIG_PPC_PMAC)		+= macintosh/
obj-$(CONFIG_XEN)		+= xen/
obj-$(CONFIG_IDE)		+= ide/
obj-$(CONFIG_FC4)		+= fc4/
obj-$(CONFIG_SCSI)		+= scsi/
obj-$(CONFIG_FUSION)		+= message/
obj-$(CONFIG_IEEE1394)		+= ieee1394/
obj-y				+= cdrom/
obj-$(CONFIG_MTD)		+= mtd/
obj-$(CONFIG_SPI)		+= spi/
obj-$(CONFIG_PCCARD)		+= pcmcia/
obj-$(CONFIG_DIO)		+= dio/
obj-$(CONFIG_SBUS)		+= sbus/
obj-$(CONFIG_ZORRO)		+= zorro/
obj-$(CONFIG_MAC)		+= macintosh/
obj-$(CONFIG_ATA_OVER_ETH)	+= block/aoe/
obj-$(CONFIG_PARIDE) 		+= block/paride/
obj-$(CONFIG_TC)		+= tc/
obj-$(CONFIG_USB)		+= usb/
obj-$(CONFIG_PCI)		+= usb/
obj-$(CONFIG_USB_GADGET)	+= usb/gadget/
obj-$(CONFIG_SERIO)		+= input/serio/
obj-$(CONFIG_I2O)		+= message/
obj-$(CONFIG_RTC_LIB)		+= rtc/
obj-$(CONFIG_I2C)		+= i2c/
obj-$(CONFIG_W1)		+= w1/
obj-$(CONFIG_HWMON)		+= hwmon/
obj-$(CONFIG_PHONE)		+= telephony/
obj-$(CONFIG_MD)		+= md/
obj-$(CONFIG_BT)		+= bluetooth/
obj-$(CONFIG_ISDN)		+= isdn/
obj-$(CONFIG_EDAC)		+= edac/
obj-$(CONFIG_MCA)		+= mca/
obj-$(CONFIG_EISA)		+= eisa/
obj-$(CONFIG_CPU_FREQ)		+= cpufreq/
obj-$(CONFIG_MMC)		+= mmc/
obj-$(CONFIG_NEW_LEDS)		+= leds/
obj-$(CONFIG_INFINIBAND)	+= infiniband/
obj-$(CONFIG_IPATH_CORE)	+= infiniband/
obj-$(CONFIG_SGI_SN)		+= sn/
obj-y				+= firmware/
obj-$(CONFIG_CRYPTO)		+= crypto/
obj-$(CONFIG_SUPERH)		+= sh/

=== lib/Makefile ===
#
# Makefile for some libs needed in the kernel.
#

lib-y := errno.o ctype.o string.o vsprintf.o cmdline.o \
	 bust_spinlocks.o rbtree.o radix-tree.o dump_stack.o \
	 idr.o div64.o int_sqrt.o bitmap.o extable.o prio_tree.o \
	 sha1.o

lib-$(CONFIG_SMP) += cpumask.o

lib-y	+= kobject.o kref.o kobject_uevent.o klist.o

obj-y += sort.o parser.o halfmd4.o iomap_copy.o

ifeq ($(CONFIG_DEBUG_KOBJECT),y)
CFLAGS_kobject.o += -DDEBUG
CFLAGS_kobject_uevent.o += -DDEBUG
endif

obj-$(CONFIG_DEBUG_SPINLOCK) += spinlock_debug.o
lib-$(CONFIG_RWSEM_GENERIC_SPINLOCK) += rwsem-spinlock.o
lib-$(CONFIG_RWSEM_XCHGADD_ALGORITHM) += rwsem.o
lib-$(CONFIG_SEMAPHORE_SLEEPERS) += semaphore-sleepers.o
lib-$(CONFIG_GENERIC_FIND_NEXT_BIT) += find_next_bit.o
lib-$(CONFIG_GENERIC_HWEIGHT) += hweight.o
obj-$(CONFIG_LOCK_KERNEL) += kernel_lock.o
obj-$(CONFIG_DEBUG_PREEMPT) += smp_processor_id.o

ifneq ($(CONFIG_HAVE_DEC_LOCK),y)
  lib-y += dec_and_lock.o
endif

obj-$(CONFIG_CRC_CCITT)	+= crc-ccitt.o
obj-$(CONFIG_CRC16)	+= crc16.o
obj-$(CONFIG_CRC32)	+= crc32.o
obj-$(CONFIG_LIBCRC32C)	+= libcrc32c.o
obj-$(CONFIG_GENERIC_IOMAP) += iomap.o
obj-$(CONFIG_GENERIC_ALLOCATOR) += genalloc.o

obj-$(CONFIG_ZLIB_INFLATE) += zlib_inflate/
obj-$(CONFIG_ZLIB_DEFLATE) += zlib_deflate/
obj-$(CONFIG_REED_SOLOMON) += reed_solomon/

obj-$(CONFIG_TEXTSEARCH) += textsearch.o
obj-$(CONFIG_TEXTSEARCH_KMP) += ts_kmp.o
obj-$(CONFIG_TEXTSEARCH_BM) += ts_bm.o
obj-$(CONFIG_TEXTSEARCH_FSM) += ts_fsm.o

obj-$(CONFIG_SWIOTLB) += swiotlb.o
ifneq ($(CONFIG_XEN_IA64_DOM0_NON_VP),y)
swiotlb-$(CONFIG_XEN) := ../arch/i386/kernel/swiotlb.o
endif

hostprogs-y	:= gen_crc32table
clean-files	:= crc32table.h

$(obj)/crc32.o: $(obj)/crc32table.h

quiet_cmd_crc32 = GEN     $@
      cmd_crc32 = $< > $@

$(obj)/crc32table.h: $(obj)/gen_crc32table
	$(call cmd,crc32)

=== sound/Makefile ===
# Makefile for the Linux sound card driver
#

obj-$(CONFIG_SOUND) += soundcore.o
obj-$(CONFIG_SOUND_PRIME) += oss/
obj-$(CONFIG_DMASOUND) += oss/
obj-$(CONFIG_SND) += core/ i2c/ drivers/ isa/ pci/ ppc/ arm/ synth/ usb/ sparc/ parisc/ pcmcia/ mips/ bluetooth/
obj-$(CONFIG_SND_AOA) += aoa/

ifeq ($(CONFIG_SND),y)
  obj-y += last.o
endif

soundcore-objs  := sound_core.o sound_firmware.o

=== arch/ia64/Makefile ===
#
# ia64/Makefile
#
# This file is included by the global makefile so that you can add your own
# architecture-specific flags and dependencies.
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file "COPYING" in the main directory of this archive
# for more details.
#
# Copyright (C) 1998-2004 by David Mosberger-Tang <davidm@hpl.hp.com>
#

NM := $(CROSS_COMPILE)nm -B
READELF := $(CROSS_COMPILE)readelf

export AWK

CHECKFLAGS	+= -m64 -D__ia64=1 -D__ia64__=1 -D_LP64 -D__LP64__

OBJCOPYFLAGS	:= --strip-all
LDFLAGS_vmlinux	:= -static
LDFLAGS_MODULE	+= -T $(srctree)/arch/ia64/module.lds
AFLAGS_KERNEL	:= -mconstant-gp
EXTRA		:=

cflags-y	:= -pipe $(EXTRA) -ffixed-r13 -mfixed-range=f12-f15,f32-f127 \
		   -falign-functions=32 -frename-registers -fno-optimize-sibling-calls
CFLAGS_KERNEL	:= -mconstant-gp

GAS_STATUS	= $(shell $(srctree)/arch/ia64/scripts/check-gas "$(CC)" "$(OBJDUMP)")
CPPFLAGS += $(shell $(srctree)/arch/ia64/scripts/toolchain-flags "$(CC)" "$(OBJDUMP)" "$(READELF)")

#ifeq ($(GAS_STATUS),buggy)
#$(error Sorry, you need a newer version of the assember, one that is built from	\
#	a source-tree that post-dates 18-Dec-2002.  You can find a pre-compiled	\
#	static binary of such an assembler at:					\
#										\
#		ftp://ftp.hpl.hp.com/pub/linux-ia64/gas-030124.tar.gz)
#endif

ifeq ($(call cc-version),0304)
	cflags-$(CONFIG_ITANIUM)	+= -mtune=merced
	cflags-$(CONFIG_MCKINLEY)	+= -mtune=mckinley
endif

CFLAGS += $(cflags-y)

cppflags-$(CONFIG_XEN) += \
	-D__XEN_INTERFACE_VERSION__=$(CONFIG_XEN_INTERFACE_VERSION)

CPPFLAGS += $(cppflags-y)

head-y := arch/ia64/kernel/head.o arch/ia64/kernel/init_task.o

libs-y				+= arch/ia64/lib/
core-y				+= arch/ia64/kernel/ arch/ia64/mm/
core-$(CONFIG_IA32_SUPPORT)	+= arch/ia64/ia32/
core-$(CONFIG_IA64_DIG) 	+= arch/ia64/dig/
core-$(CONFIG_IA64_GENERIC) 	+= arch/ia64/dig/
core-$(CONFIG_IA64_HP_ZX1)	+= arch/ia64/dig/
core-$(CONFIG_IA64_HP_ZX1_SWIOTLB) += arch/ia64/dig/
core-$(CONFIG_IA64_SGI_SN2)	+= arch/ia64/sn/
core-$(CONFIG_XEN)		+= arch/ia64/xen/

drivers-$(CONFIG_PCI)		+= arch/ia64/pci/
ifneq ($(CONFIG_XEN),y)
drivers-$(CONFIG_IA64_HP_SIM)	+= arch/ia64/hp/sim/
endif
ifneq ($(CONFIG_IA64_GENERIC),y)
drivers-$(CONFIG_XEN)		+= arch/ia64/hp/sim/
endif
drivers-$(CONFIG_IA64_HP_ZX1)	+= arch/ia64/hp/common/ arch/ia64/hp/zx1/
drivers-$(CONFIG_IA64_HP_ZX1_SWIOTLB) += arch/ia64/hp/common/ arch/ia64/hp/zx1/
drivers-$(CONFIG_IA64_GENERIC)	+= arch/ia64/hp/common/ arch/ia64/hp/zx1/ arch/ia64/hp/sim/ arch/ia64/sn/
drivers-$(CONFIG_OPROFILE)	+= arch/ia64/oprofile/

boot := arch/ia64/hp/sim/boot

PHONY += boot compressed check

all: compressed

compressed: vmlinux.gz

vmlinuz: vmlinux.gz

vmlinux.gz: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) $@

unwcheck: vmlinux
	-$(Q)READELF=$(READELF) $(srctree)/arch/ia64/scripts/unwcheck.py $<

archclean:
	$(Q)$(MAKE) $(clean)=$(boot)

CLEAN_FILES += vmlinux.gz bootloader

boot:	lib/lib.a vmlinux
	$(Q)$(MAKE) $(build)=$(boot) $@

install:
	-yes | sh $(srctree)/arch/ia64/install.sh $(KERNELRELEASE) vmlinux.gz System.map "$(INSTALL_PATH)"

define archhelp
  echo '* compressed	- Build compressed kernel image'
  echo '  install	- Install compressed kernel image'
  echo '  boot		- Build vmlinux and bootloader for Ski simulator'
  echo '  unwcheck	- Check vmlinux for invalid unwind info'
endef

=== arch/x86_64/Makefile ===
#
# x86_64/Makefile
#
# This file is included by the global makefile so that you can add your own
# architecture-specific flags and dependencies. Remember to do have actions
# for "archclean" and "archdep" for cleaning up and making dependencies for
# this architecture
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file "COPYING" in the main directory of this archive
# for more details.
#
# Copyright (C) 1994 by Linus Torvalds
#
# 19990713  Artur Skawina <skawina@geocities.com>
#           Added '-march' and '-mpreferred-stack-boundary' support
# 20000913  Pavel Machek <pavel@suse.cz>
#	    Converted for x86_64 architecture
# 20010105  Andi Kleen, add IA32 compiler.
#           ....and later removed it again....
#
# $Id: Makefile,v 1.31 2002/03/22 15:56:07 ak Exp $

LDFLAGS		:= -m elf_x86_64
OBJCOPYFLAGS	:= -O binary -R .note -R .comment -S
LDFLAGS_vmlinux :=
CHECKFLAGS      += -D__x86_64__ -m64

cflags-y	:=
cflags-$(CONFIG_MK8) += $(call cc-option,-march=k8)
cflags-$(CONFIG_MPSC) += $(call cc-option,-march=nocona)
cflags-$(CONFIG_GENERIC_CPU) += $(call cc-option,-mtune=generic)

cppflags-$(CONFIG_XEN) += \
	-D__XEN_INTERFACE_VERSION__=$(CONFIG_XEN_INTERFACE_VERSION)
CPPFLAGS += $(cppflags-y)

cflags-y += -m64
cflags-y += -mno-red-zone
cflags-y += -mcmodel=kernel
cflags-y += -pipe
cflags-$(CONFIG_REORDER) += -ffunction-sections
# this makes reading assembly source easier, but produces worse code
# actually it makes the kernel smaller too.
cflags-y += -fno-reorder-blocks
cflags-y += -Wno-sign-compare
ifneq ($(CONFIG_UNWIND_INFO),y)
cflags-y += -fno-asynchronous-unwind-tables
endif
ifneq ($(CONFIG_DEBUG_INFO),y)
# -fweb shrinks the kernel a bit, but the difference is very small
# it also messes up debugging, so don't use it for now.
#cflags-y += $(call cc-option,-fweb)
endif
# -funit-at-a-time shrinks the kernel .text considerably
# unfortunately it makes reading oopses harder.
cflags-y += $(call cc-option,-funit-at-a-time)
# prevent gcc from generating any FP code by mistake
cflags-y += $(call cc-option,-mno-sse -mno-mmx -mno-sse2 -mno-3dnow,)

CFLAGS += $(cflags-y)
AFLAGS += -m64

head-y := arch/x86_64/kernel/head.o arch/x86_64/kernel/head64.o arch/x86_64/kernel/init_task.o

libs-y 					+= arch/x86_64/lib/
core-y					+= arch/x86_64/kernel/ \
					   arch/x86_64/mm/ \
					   arch/x86_64/crypto/
core-$(CONFIG_IA32_EMULATION)		+= arch/x86_64/ia32/
drivers-$(CONFIG_PCI)			+= arch/x86_64/pci/
drivers-$(CONFIG_OPROFILE)		+= arch/x86_64/oprofile/

boot := arch/x86_64/boot

PHONY += bzImage bzlilo install archmrproper \
	 fdimage fdimage144 fdimage288 isoimage archclean

ifdef CONFIG_XEN
CPPFLAGS := -Iinclude$(if $(KBUILD_SRC),2)/asm/mach-xen $(CPPFLAGS)
head-y := arch/x86_64/kernel/head-xen.o arch/x86_64/kernel/head64-xen.o arch/x86_64/kernel/init_task.o
LDFLAGS_vmlinux := -e _start
boot := arch/i386/boot-xen
.PHONY: vmlinuz
#Default target when executing "make"
all: vmlinuz

vmlinuz: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) $@

install:
	$(Q)$(MAKE) $(build)=$(boot) XENGUEST=$(XENGUEST) $@
else
#Default target when executing "make"
all: bzImage

BOOTIMAGE                     := arch/x86_64/boot/bzImage
KBUILD_IMAGE                  := $(BOOTIMAGE)

bzImage: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) $(BOOTIMAGE)

bzlilo: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) BOOTIMAGE=$(BOOTIMAGE) zlilo

bzdisk: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) BOOTIMAGE=$(BOOTIMAGE) zdisk

fdimage fdimage144 fdimage288 isoimage: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) BOOTIMAGE=$(BOOTIMAGE) $@

install:
	$(Q)$(MAKE) $(build)=$(boot) BOOTIMAGE=$(BOOTIMAGE) $@ 
endif

archclean:
	$(Q)$(MAKE) $(clean)=$(boot)

define archhelp
  echo  '* bzImage	- Compressed kernel image (arch/$(ARCH)/boot/bzImage)'
  echo  '  install	- Install kernel using'
  echo  '		   (your) ~/bin/installkernel or'
  echo  '		   (distribution) /sbin/installkernel or'
  echo  '		   install to $$(INSTALL_PATH) and run lilo'
  echo  '  bzdisk       - Create a boot floppy in /dev/fd0'
  echo  '  fdimage      - Create a boot floppy image'
  echo  '  isoimage     - Create a boot CD-ROM image'
endef

CLEAN_FILES += arch/$(ARCH)/boot/fdimage \
	       arch/$(ARCH)/boot/image.iso \
	       arch/$(ARCH)/boot/mtools.conf

=== drivers/firmware/Makefile ===
#
# Makefile for the linux kernel.
#
obj-$(CONFIG_DMI)		+= dmi_scan.o
obj-$(CONFIG_EDD)		+= edd.o
obj-$(CONFIG_EFI_VARS)		+= efivars.o
obj-$(CONFIG_EFI_PCDP)		+= pcdp.o
obj-$(CONFIG_DELL_RBU)          += dell_rbu.o
obj-$(CONFIG_DCDBAS)		+= dcdbas.o
obj-$(CONFIG_THINKPAD_EC)       += thinkpad_ec.o
obj-$(CONFIG_TP_SMAPI)          += tp_smapi.o

=== drivers/net/Makefile ===
#
# Makefile for the Linux network (ethercard) device drivers.
#

ifeq ($(CONFIG_ISDN_PPP),y)
  obj-$(CONFIG_ISDN) += slhc.o
endif

obj-$(CONFIG_E1000) += e1000/
obj-$(CONFIG_NET_IPG) += ipg/
obj-$(CONFIG_IBM_EMAC) += ibm_emac/
obj-$(CONFIG_IXGB) += ixgb/
obj-$(CONFIG_CHELSIO_T1) += chelsio/
obj-$(CONFIG_BONDING) += bonding/
obj-$(CONFIG_GIANFAR) += gianfar_driver.o

gianfar_driver-objs := gianfar.o \
		gianfar_ethtool.o \
		gianfar_mii.o \
		gianfar_sysfs.o

#
# link order important here
#
obj-$(CONFIG_PLIP) += plip.o

obj-$(CONFIG_ROADRUNNER) += rrunner.o

obj-$(CONFIG_HAPPYMEAL) += sunhme.o
obj-$(CONFIG_SUNLANCE) += sunlance.o
obj-$(CONFIG_SUNQE) += sunqe.o
obj-$(CONFIG_SUNBMAC) += sunbmac.o
obj-$(CONFIG_MYRI_SBUS) += myri_sbus.o
obj-$(CONFIG_SUNGEM) += sungem.o sungem_phy.o
obj-$(CONFIG_CASSINI) += cassini.o

obj-$(CONFIG_MACE) += mace.o
obj-$(CONFIG_BMAC) += bmac.o

obj-$(CONFIG_OAKNET) += oaknet.o 8390.o

obj-$(CONFIG_DGRS) += dgrs.o
obj-$(CONFIG_VORTEX) += 3c59x.o
obj-$(CONFIG_TYPHOON) += typhoon.o
obj-$(CONFIG_NE2K_PCI) += ne2k-pci.o 8390.o
obj-$(CONFIG_PCNET32) += pcnet32.o
obj-$(CONFIG_EEPRO100) += eepro100.o
obj-$(CONFIG_E100) += e100.o
obj-$(CONFIG_TLAN) += tlan.o
obj-$(CONFIG_EPIC100) += epic100.o
obj-$(CONFIG_SIS190) += sis190.o
obj-$(CONFIG_SIS900) += sis900.o
obj-$(CONFIG_YELLOWFIN) += yellowfin.o
obj-$(CONFIG_ACENIC) += acenic.o
obj-$(CONFIG_ISERIES_VETH) += iseries_veth.o
obj-$(CONFIG_NATSEMI) += natsemi.o
obj-$(CONFIG_NS83820) += ns83820.o
obj-$(CONFIG_STNIC) += stnic.o 8390.o
obj-$(CONFIG_FEALNX) += fealnx.o
obj-$(CONFIG_TIGON3) += tg3.o
obj-$(CONFIG_BNX2) += bnx2.o
spidernet-y += spider_net.o spider_net_ethtool.o
obj-$(CONFIG_SPIDER_NET) += spidernet.o sungem_phy.o
obj-$(CONFIG_TC35815) += tc35815.o
obj-$(CONFIG_SKGE) += skge.o
obj-$(CONFIG_SKY2) += sky2.o
obj-$(CONFIG_SK98LIN) += sk98lin/
obj-$(CONFIG_SKFP) += skfp/
obj-$(CONFIG_VIA_RHINE) += via-rhine.o
obj-$(CONFIG_VIA_VELOCITY) += via-velocity.o
obj-$(CONFIG_ADAPTEC_STARFIRE) += starfire.o
obj-$(CONFIG_RIONET) += rionet.o

#
# end link order section
#

obj-$(CONFIG_MII) += mii.o
obj-$(CONFIG_PHYLIB) += phy/

obj-$(CONFIG_SUNDANCE) += sundance.o
obj-$(CONFIG_HAMACHI) += hamachi.o
obj-$(CONFIG_NET) += Space.o loopback.o
obj-$(CONFIG_SEEQ8005) += seeq8005.o
obj-$(CONFIG_NET_SB1000) += sb1000.o
obj-$(CONFIG_MAC8390) += mac8390.o 8390.o
obj-$(CONFIG_APNE) += apne.o 8390.o
obj-$(CONFIG_PCMCIA_PCNET) += 8390.o
obj-$(CONFIG_SHAPER) += shaper.o
obj-$(CONFIG_HP100) += hp100.o
obj-$(CONFIG_SMC9194) += smc9194.o
obj-$(CONFIG_FEC) += fec.o
obj-$(CONFIG_68360_ENET) += 68360enet.o
obj-$(CONFIG_ARM_ETHERH) += 8390.o
obj-$(CONFIG_WD80x3) += wd.o 8390.o
obj-$(CONFIG_EL2) += 3c503.o 8390.o
obj-$(CONFIG_NE2000) += ne.o 8390.o
obj-$(CONFIG_NE2_MCA) += ne2.o 8390.o
obj-$(CONFIG_HPLAN) += hp.o 8390.o
obj-$(CONFIG_HPLAN_PLUS) += hp-plus.o 8390.o
obj-$(CONFIG_ULTRA) += smc-ultra.o 8390.o
obj-$(CONFIG_ULTRAMCA) += smc-mca.o 8390.o
obj-$(CONFIG_ULTRA32) += smc-ultra32.o 8390.o
obj-$(CONFIG_E2100) += e2100.o 8390.o
obj-$(CONFIG_ES3210) += es3210.o 8390.o
obj-$(CONFIG_LNE390) += lne390.o 8390.o
obj-$(CONFIG_NE3210) += ne3210.o 8390.o
obj-$(CONFIG_NET_SB1250_MAC) += sb1250-mac.o
obj-$(CONFIG_B44) += b44.o
obj-$(CONFIG_FORCEDETH) += forcedeth.o
obj-$(CONFIG_NE_H8300) += ne-h8300.o 8390.o

obj-$(CONFIG_MV643XX_ETH) += mv643xx_eth.o

obj-$(CONFIG_PPP) += ppp_generic.o slhc.o
obj-$(CONFIG_PPP_ASYNC) += ppp_async.o
obj-$(CONFIG_PPP_SYNC_TTY) += ppp_synctty.o
obj-$(CONFIG_PPP_DEFLATE) += ppp_deflate.o
obj-$(CONFIG_PPP_BSDCOMP) += bsd_comp.o
obj-$(CONFIG_PPP_MPPE) += ppp_mppe.o
obj-$(CONFIG_PPPOE) += pppox.o pppoe.o

obj-$(CONFIG_SLIP) += slip.o
ifeq ($(CONFIG_SLIP_COMPRESSED),y)
  obj-$(CONFIG_SLIP) += slhc.o
endif

obj-$(CONFIG_DUMMY) += dummy.o
obj-$(CONFIG_IFB) += ifb.o
obj-$(CONFIG_DE600) += de600.o
obj-$(CONFIG_DE620) += de620.o
obj-$(CONFIG_LANCE) += lance.o
obj-$(CONFIG_SUN3_82586) += sun3_82586.o
obj-$(CONFIG_SUN3LANCE) += sun3lance.o
obj-$(CONFIG_DEFXX) += defxx.o
obj-$(CONFIG_SGISEEQ) += sgiseeq.o
obj-$(CONFIG_SGI_O2MACE_ETH) += meth.o
obj-$(CONFIG_AT1700) += at1700.o
obj-$(CONFIG_EL1) += 3c501.o
obj-$(CONFIG_EL16) += 3c507.o
obj-$(CONFIG_ELMC) += 3c523.o
obj-$(CONFIG_SKMC) += sk_mca.o
obj-$(CONFIG_IBMLANA) += ibmlana.o
obj-$(CONFIG_ELMC_II) += 3c527.o
obj-$(CONFIG_EL3) += 3c509.o
obj-$(CONFIG_3C515) += 3c515.o
obj-$(CONFIG_EEXPRESS) += eexpress.o
obj-$(CONFIG_EEXPRESS_PRO) += eepro.o
obj-$(CONFIG_8139CP) += 8139cp.o
obj-$(CONFIG_8139TOO) += 8139too.o
obj-$(CONFIG_ZNET) += znet.o
obj-$(CONFIG_LAN_SAA9730) += saa9730.o
obj-$(CONFIG_DEPCA) += depca.o
obj-$(CONFIG_EWRK3) += ewrk3.o
obj-$(CONFIG_ATP) += atp.o
obj-$(CONFIG_NI5010) += ni5010.o
obj-$(CONFIG_NI52) += ni52.o
obj-$(CONFIG_NI65) += ni65.o
obj-$(CONFIG_ELPLUS) += 3c505.o
obj-$(CONFIG_AC3200) += ac3200.o 8390.o
obj-$(CONFIG_APRICOT) += 82596.o
obj-$(CONFIG_LASI_82596) += lasi_82596.o
obj-$(CONFIG_MVME16x_NET) += 82596.o
obj-$(CONFIG_BVME6000_NET) += 82596.o

# This is also a 82596 and should probably be merged
obj-$(CONFIG_LP486E) += lp486e.o

obj-$(CONFIG_ETH16I) += eth16i.o
obj-$(CONFIG_ZORRO8390) += zorro8390.o 8390.o
obj-$(CONFIG_HPLANCE) += hplance.o 7990.o
obj-$(CONFIG_MVME147_NET) += mvme147.o 7990.o
obj-$(CONFIG_EQUALIZER) += eql.o
obj-$(CONFIG_MIPS_JAZZ_SONIC) += jazzsonic.o
obj-$(CONFIG_MIPS_GT96100ETH) += gt96100eth.o
obj-$(CONFIG_MIPS_AU1X00_ENET) += au1000_eth.o
obj-$(CONFIG_MIPS_SIM_NET) += mipsnet.o
obj-$(CONFIG_SGI_IOC3_ETH) += ioc3-eth.o
obj-$(CONFIG_DECLANCE) += declance.o
obj-$(CONFIG_ATARILANCE) += atarilance.o
obj-$(CONFIG_ATARI_BIONET) += atari_bionet.o
obj-$(CONFIG_ATARI_PAMSNET) += atari_pamsnet.o
obj-$(CONFIG_A2065) += a2065.o
obj-$(CONFIG_HYDRA) += hydra.o 8390.o
obj-$(CONFIG_ARIADNE) += ariadne.o
obj-$(CONFIG_CS89x0) += cs89x0.o
obj-$(CONFIG_MACSONIC) += macsonic.o
obj-$(CONFIG_MACMACE) += macmace.o
obj-$(CONFIG_MAC89x0) += mac89x0.o
obj-$(CONFIG_TUN) += tun.o
obj-$(CONFIG_DL2K) += dl2k.o
obj-$(CONFIG_R8169) += r8169.o
obj-$(CONFIG_AMD8111_ETH) += amd8111e.o
obj-$(CONFIG_IBMVETH) += ibmveth.o
obj-$(CONFIG_S2IO) += s2io.o
obj-$(CONFIG_MYRI10GE) += myri10ge/
obj-$(CONFIG_SMC91X) += smc91x.o
obj-$(CONFIG_DM9000) += dm9000.o
obj-$(CONFIG_FEC_8XX) += fec_8xx/

obj-$(CONFIG_ARM) += arm/
obj-$(CONFIG_DEV_APPLETALK) += appletalk/
obj-$(CONFIG_TR) += tokenring/
obj-$(CONFIG_WAN) += wan/
obj-$(CONFIG_ARCNET) += arcnet/
obj-$(CONFIG_NET_PCMCIA) += pcmcia/
obj-$(CONFIG_NET_RADIO) += wireless/
obj-$(CONFIG_NET_TULIP) += tulip/
obj-$(CONFIG_HAMRADIO) += hamradio/
obj-$(CONFIG_IRDA) += irda/
obj-$(CONFIG_ETRAX_ETHERNET) += cris/
obj-$(CONFIG_ENP2611_MSF_NET) += ixp2000/
obj-$(CONFIG_R1000) += r1000.o

obj-$(CONFIG_NETCONSOLE) += netconsole.o

obj-$(CONFIG_NDISWRAPPER) += ndiswrapper/

obj-$(CONFIG_FS_ENET) += fs_enet/

=== drivers/serial/Makefile ===
#
# Makefile for the kernel serial device drivers.
#
#  $Id: Makefile,v 1.8 2002/07/21 21:32:30 rmk Exp $
#

obj-$(CONFIG_SERIAL_CORE) += serial_core.o
obj-$(CONFIG_SERIAL_21285) += 21285.o
obj-$(CONFIG_SERIAL_8250) += 8250.o
obj-$(CONFIG_SERIAL_8250_PNP) += 8250_pnp.o
obj-$(CONFIG_SERIAL_8250_GSC) += 8250_gsc.o
obj-$(CONFIG_SERIAL_8250_PCI) += 8250_pci.o
obj-$(CONFIG_SERIAL_8250_HP300) += 8250_hp300.o
obj-$(CONFIG_SERIAL_8250_CS) += serial_cs.o
obj-$(CONFIG_SERIAL_8250_ACORN) += 8250_acorn.o
obj-$(CONFIG_SERIAL_8250_CONSOLE) += 8250_early.o
obj-$(CONFIG_SERIAL_8250_FOURPORT) += 8250_fourport.o
obj-$(CONFIG_SERIAL_8250_ACCENT) += 8250_accent.o
obj-$(CONFIG_SERIAL_8250_BOCA) += 8250_boca.o
obj-$(CONFIG_SERIAL_8250_HUB6) += 8250_hub6.o
obj-$(CONFIG_SERIAL_8250_MCA) += 8250_mca.o
obj-$(CONFIG_SERIAL_8250_AU1X00) += 8250_au1x00.o
obj-$(CONFIG_SERIAL_AMBA_PL010) += amba-pl010.o
obj-$(CONFIG_SERIAL_AMBA_PL011) += amba-pl011.o
obj-$(CONFIG_SERIAL_CLPS711X) += clps711x.o
obj-$(CONFIG_SERIAL_PXA) += pxa.o
obj-$(CONFIG_SERIAL_SA1100) += sa1100.o
obj-$(CONFIG_SERIAL_S3C2410) += s3c2410.o
obj-$(CONFIG_SERIAL_SUNCORE) += suncore.o
obj-$(CONFIG_SERIAL_SUNHV) += sunhv.o
obj-$(CONFIG_SERIAL_SUNZILOG) += sunzilog.o
obj-$(CONFIG_SERIAL_IP22_ZILOG) += ip22zilog.o
obj-$(CONFIG_SERIAL_SUNSU) += sunsu.o
obj-$(CONFIG_SERIAL_SUNSAB) += sunsab.o
obj-$(CONFIG_SERIAL_MUX) += mux.o
obj-$(CONFIG_SERIAL_68328) += 68328serial.o
obj-$(CONFIG_SERIAL_68360) += 68360serial.o
obj-$(CONFIG_SERIAL_COLDFIRE) += mcfserial.o
obj-$(CONFIG_V850E_UART) += v850e_uart.o
obj-$(CONFIG_SERIAL_PMACZILOG) += pmac_zilog.o
obj-$(CONFIG_SERIAL_LH7A40X) += serial_lh7a40x.o
obj-$(CONFIG_SERIAL_DZ) += dz.o
obj-$(CONFIG_SERIAL_SH_SCI) += sh-sci.o
obj-$(CONFIG_SERIAL_SGI_L1_CONSOLE) += sn_console.o
obj-$(CONFIG_SERIAL_CPM) += cpm_uart/
obj-$(CONFIG_SERIAL_WACOM_ACPI) += wacom_acpi.o
obj-$(CONFIG_SERIAL_IMX) += imx.o
obj-$(CONFIG_SERIAL_MPC52xx) += mpc52xx_uart.o
obj-$(CONFIG_SERIAL_ICOM) += icom.o
obj-$(CONFIG_SERIAL_M32R_SIO) += m32r_sio.o
obj-$(CONFIG_SERIAL_MPSC) += mpsc.o
obj-$(CONFIG_ETRAX_SERIAL) += crisv10.o
obj-$(CONFIG_SERIAL_JSM) += jsm/
obj-$(CONFIG_SERIAL_TXX9) += serial_txx9.o
obj-$(CONFIG_SERIAL_VR41XX) += vr41xx_siu.o
obj-$(CONFIG_SERIAL_SGI_IOC4) += ioc4_serial.o
obj-$(CONFIG_SERIAL_SGI_IOC3) += ioc3_serial.o
obj-$(CONFIG_SERIAL_AT91) += at91_serial.o

=== drivers/xen/Makefile ===
obj-y	+= core/
obj-y	+= console/
obj-y	+= evtchn/
obj-y	+= privcmd/
obj-y	+= xenbus/

obj-$(CONFIG_XEN_UTIL)			+= util.o
obj-$(CONFIG_XEN_BALLOON)		+= balloon/
obj-$(CONFIG_XEN_DEVMEM)		+= char/
obj-$(CONFIG_XEN_BLKDEV_BACKEND)	+= blkback/
obj-$(CONFIG_XEN_NETDEV_BACKEND)	+= netback/
obj-$(CONFIG_XEN_TPMDEV_BACKEND)	+= tpmback/
obj-$(CONFIG_XEN_BLKDEV_FRONTEND)	+= blkfront/
obj-$(CONFIG_XEN_NETDEV_FRONTEND)	+= netfront/
obj-$(CONFIG_XEN_PCIDEV_BACKEND)	+= pciback/
obj-$(CONFIG_XEN_PCIDEV_FRONTEND)	+= pcifront/

=== fs/gfs/Makefile ===
obj-$(CONFIG_GFS_FS) := gfs.o

gfs-y := acl.o \
	bits.o \
	bmap.o \
	daemon.o \
	dio.o \
	dir.o \
	eaops.o \
	eattr.o \
	file.o \
	glock.o \
	glops.o \
	inode.o \
	ioctl.o \
	lm.o \
	log.o \
	lops.o \
	lvb.o \
	main.o \
	mount.o \
	ondisk.o \
	ops_address.o \
	ops_dentry.o \
	ops_export.o \
	ops_file.o \
	ops_fstype.o \
	ops_inode.o \
	ops_super.o \
	ops_vm.o \
	page.o \
	proc.o \
	quota.o \
	recovery.o \
	rgrp.o \
	super.o \
	sys.o \
	trans.o \
	unlinked.o \
	util.o

=== arch/i386/kernel/Makefile ===
#
# Makefile for the linux kernel.
#

extra-y := head.o init_task.o vmlinux.lds

obj-y	:= process.o semaphore.o signal.o entry.o traps.o irq.o \
		ptrace.o time.o ioport.o ldt.o setup.o i8259.o sys_i386.o \
		pci-dma.o i386_ksyms.o i387.o bootflag.o \
		quirks.o i8237.o topology.o alternative.o

obj-y				+= cpu/
obj-y				+= timers/
obj-y				+= acpi/
obj-$(CONFIG_X86_BIOS_REBOOT)	+= reboot.o
obj-$(CONFIG_MCA)		+= mca.o
obj-$(CONFIG_X86_MSR)		+= msr.o
obj-$(CONFIG_X86_CPUID)		+= cpuid.o
obj-$(CONFIG_MICROCODE)		+= microcode.o
obj-$(CONFIG_APM)		+= apm.o
obj-$(CONFIG_X86_SMP)		+= smp.o smpboot.o
obj-$(CONFIG_X86_TRAMPOLINE)	+= trampoline.o
obj-$(CONFIG_X86_MPPARSE)	+= mpparse.o
obj-$(CONFIG_X86_LOCAL_APIC)	+= apic.o nmi.o
obj-$(CONFIG_X86_IO_APIC)	+= io_apic.o
obj-$(CONFIG_X86_REBOOTFIXUPS)	+= reboot_fixups.o
obj-$(CONFIG_KEXEC)		+= machine_kexec.o relocate_kernel.o crash.o
obj-$(CONFIG_CRASH_DUMP)	+= crash_dump.o
obj-$(CONFIG_X86_NUMAQ)		+= numaq.o
obj-$(CONFIG_X86_SUMMIT_NUMA)	+= summit.o
obj-$(CONFIG_KPROBES)		+= kprobes.o
obj-$(CONFIG_MODULES)		+= module.o
obj-y				+= sysenter.o vsyscall.o
obj-$(CONFIG_ACPI_SRAT) 	+= srat.o
obj-$(CONFIG_HPET_TIMER) 	+= time_hpet.o
obj-$(CONFIG_EFI) 		+= efi.o efi_stub.o
obj-$(CONFIG_DOUBLEFAULT) 	+= doublefault.o
obj-$(CONFIG_VM86)		+= vm86.o
obj-$(CONFIG_EARLY_PRINTK)	+= early_printk.o
obj-$(CONFIG_K8_NB)		+= k8.o

EXTRA_AFLAGS   := -traditional

obj-$(CONFIG_SCx200)		+= scx200.o

ifdef CONFIG_XEN
vsyscall_note := vsyscall-note-xen.o
else
vsyscall_note := vsyscall-note.o
endif

# vsyscall.o contains the vsyscall DSO images as __initdata.
# We must build both images before we can assemble it.
# Note: kbuild does not track this dependency due to usage of .incbin
$(obj)/vsyscall.o: $(obj)/vsyscall-int80.so $(obj)/vsyscall-sysenter.so
targets += $(foreach F,int80 sysenter,vsyscall-$F.o vsyscall-$F.so)
targets += vsyscall-note.o vsyscall.lds

# The DSO images are built using a special linker script.
quiet_cmd_syscall = SYSCALL $@
      cmd_syscall = $(CC) -m elf_i386 -nostdlib $(SYSCFLAGS_$(@F)) \
		          -Wl,-T,$(filter-out FORCE,$^) -o $@

export CPPFLAGS_vsyscall.lds += -P -C -U$(ARCH)

vsyscall-flags = -shared -s -Wl,-soname=linux-gate.so.1
SYSCFLAGS_vsyscall-sysenter.so	= $(vsyscall-flags)
SYSCFLAGS_vsyscall-int80.so	= $(vsyscall-flags)

$(obj)/vsyscall-int80.so $(obj)/vsyscall-sysenter.so: \
$(obj)/vsyscall-%.so: $(src)/vsyscall.lds \
		      $(obj)/vsyscall-%.o $(obj)/$(vsyscall_note) FORCE
	$(call if_changed,syscall)

# We also create a special relocatable object that should mirror the symbol
# table and layout of the linked DSO.  With ld -R we can then refer to
# these symbols in the kernel code rather than hand-coded addresses.
extra-y += vsyscall-syms.o
$(obj)/built-in.o: $(obj)/vsyscall-syms.o
$(obj)/built-in.o: ld_flags += -R $(obj)/vsyscall-syms.o

SYSCFLAGS_vsyscall-syms.o = -r
$(obj)/vsyscall-syms.o: $(src)/vsyscall.lds \
			$(obj)/vsyscall-sysenter.o $(obj)/vsyscall-note.o FORCE
	$(call if_changed,syscall)

k8-y				+= ../../x86_64/kernel/k8.o

ifdef CONFIG_XEN
include $(srctree)/scripts/Makefile.xen

obj-y += fixup.o
microcode-$(subst m,y,$(CONFIG_MICROCODE)) := microcode-xen.o
n-obj-xen := i8259.o timers/ reboot.o smpboot.o trampoline.o
 
obj-y := $(call filterxen, $(obj-y), $(n-obj-xen))
obj-y := $(call cherrypickxen, $(obj-y))
extra-y := $(call cherrypickxen, $(extra-y))
endif

=== arch/ia64/xen/Makefile ===
#
# Makefile for Xen components
#

obj-y := hypercall.o xenivt.o xenentry.o xensetup.o xenpal.o xenhpski.o

obj-$(CONFIG_XEN_IA64_DOM0_VP) += hypervisor.o pci-dma-xen.o util.o
pci-dma-xen-$(CONFIG_XEN_IA64_DOM0_VP) := ../../i386/kernel/pci-dma-xen.o

=== debian/changelog ===
xen-source-2.6.17 (2.6.17-6) edgy; urgency=low

  * Resynchronize with edgy 2.6.17.
    - Revert ata-piix patch.
    - Revert e1000 fixes.
    - Added intel 2780 device
    - Use pcibios as last fallback.
  * Fix kernel headers again. (whoo!)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 11 Oct 2006 09:39:16 -0400

ixen-source-2.6.17 (2.6.17-5) edgy; urgency=low

  * Tweak firmware so it works.
  * Tweak the adm64 config a bit more.

 -- Chuck Short <zulcss@ubuntu.com>  Thu,  5 Oct 2006 14:02:20 -0400

xen-source-2.6.17 (2.6.17-4) edgy; urgency=low

  * Really fix FTBFS. 
  * Make amd64 a bit smaller.

 -- Chuck Short <zulcss@ubuntu.com>  Wed,  4 Oct 2006 20:01:57 -0400

xen-source-2.6.17 (2.6.17-3) edgy; urgency=low

  * Fix FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Mon,  2 Oct 2006 12:21:44 -0400

xen-source-2.6.17 (2.6.17-2) edgy; urgency=low

  * Fix Xen-headers one more time. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun,  1 Oct 2006 21:38:02 -0400

xen-source-2.6.17 (2.6.17-1) edgy; urgency=low

  * Initial version ( I lied about being stablization proccess, funny eh?)
  * Synchronized with 2.6.17-10.25.
  * Synchronized to XEN hg changeset 28927.
  * Added Xen support for 2.6.17 from upstream.
  * Fixed am64 xen compile issues
  * Added the following external drivers support for numerous 3rd party
    drivers. Same as in edgy.
  * Added dom0 flavours generic, server, and bigiron for x86.
  * Added dom0 flavours generic for amd64.
  * Yes Delilah, this kernel aslo has Jmicron support.
  * Xen blktap and assoicated items are not built as modules anymore
    you will have to disable the loading of the mofules in xend initscript.
    (To be fixed in Xen 3.0.3rc1 debs).
  * Updated firmware to be the same as in edgy's kernel.
  

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 27 Sep 2006 11:06:55 -0400

xen-source-2.6.16 (2.6.16-11.1) edgy; urgency=low

  * Start stablization cycle:
    - Fix FBTFS.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 12 Sep 2006 11:43:37 -0400

xen-source-2.6.16 (2.6.16-11) edgy; urgency=low

  * Updated amd64-generic configs.
  * Fix FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 11 Sep 2006 19:29:09 -0400

xen-source-2.6.16 (2.6.16-10) edgy; urgency=low

  * Updated to 2.6.16.29-rc1.
  * Updated to Xen snapshot 112412.
  * Added bd_claim patch from Tollef.
  * Removed 686, and k7, replaced by generic.
  * Removed amd64-k8, amd64-xeon replaced by amd64-generic.
  * Added support for ndiswrapper.
  * Added support for bcm43xx.
  * Added support for acx100.
  * Added support for rt2x00.
  * Added support for rt2x00-legacy
  * Added support for rtl8187.
  * Added support for rtl818x.
  * Added support for zd1211rw.
  * Fixed kernel headers.

 -- Chuck Short <zulcss@ubuntu.com>  Tue,  5 Sep 2006 21:41:25 -0400

xen-source-2.6.16 (2.6.16-9) edgy; urgency=low

  * Fix FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 20 Aug 2006 10:47:07 -0400

xen-source-2.6.16 (2.6.16-8) edgy; urgency=low

  * Updated to latest and greatest stable tree.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Aug 2006 08:17:47 -0400

xen-source-2.6.16 (2.6.16-7) edgy; urgency=low

  * Fix Typo. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 13 Aug 2006 17:52:32 -0400

xen-source-2.6.16 (2.6.16-6) edgy; urgency=low

  * Fix FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Tue,  8 Aug 2006 14:15:37 -0400

xen-source-2.6.16 (2.6.16-5) edgy; urgency=low

  * Added amd64 support.
     * Added generic, k8 and xeon flavours
  * Added k7 flavours.
  * Added firmware support.

 -- Chuck Short <zulcss@gmail.com>  Fri,  4 Aug 2006 21:32:07 -0400

xen-source-2.6.16 (2.6.16-4) edgy; urgency=low

  * Updated configs, set CONFIG_BLK_DEV_LOOP to module.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 31 Jul 2006 22:50:08 -0400

xen-source-2.6.16 (2.6.16-3) edgy; urgency=low

  * Fix another FTBFS.
  * Cleaned up debian/rules file.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 30 Jul 2006 12:15:53 +0000

xen-source-2.6.16 (2.6.16-2) edgy; iurgency=low

  * Fix FTBFS.
  * Added xen-doc-2.6.16 and xen-source-2.6.16.
  * Fixed typos in control file.
   

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 29 Jul 2006 04:13:39 +0000

xen-source-2.6.16 (2.6.16-1) edgy; urgency=low

  This release was brought to you by the letter X.

  * Initial release.
    - Linux kernel based off of 2.6.16.27.
    - Xen snapshot is based off xen-unstable hg tree. Snapshot date
      is 20060724.
    - Kernel only supports x86 archictecture with the 686 in this
      release.
    - ABI detection has be temporarily removed.
    - This release does not provide 3rd party drivers, there are plans
      fo the future.
    - Please use mkinitramfs to generate an image for the XEN kernel.
    - Thanks to Ben Collins for the help and advice.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 23 Jun 2006 19:58:23 -0400

=== debian/control ===
Source: xen-source-2.6.17
Section: devel
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 3), kernel-package (>= 10.049ubuntu2), module-init-tools, m4
Build-Depends-Indep: xmlto, docbook-utils, gs, transfig, bzip2, sharutils

Package: xen-source-2.6.17
Architecture: amd64 i386
Section: devel
Priority: optional
Provides: xen-source, xen-source-2.6
Depends: binutils, bzip2, coreutils | fileutils (>= 4.0)
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
Description: Linux kernel source for version 2.6.17 with Ubuntu patches
 This package provides the source code for the Linux kernel version 2.6.17.
 .
 You may configure the kernel to your setup by typing "make config" and
 following instructions, but you could get ncursesX.X-dev and try "make
 menuconfig" for a jazzier, and easier to use interface. There are options
 to use QT or GNOME based configuration interfaces, but they need
 additional packages to be installed. Also, please read the detailed
 documentation in the file
 /usr/share/doc/linux-source-2.6.17/README.headers.gz.
 .
 If you wish to use this package to create a custom Linux kernel, then it
 is suggested that you investigate the package kernel-package, which has
 been designed to ease the task of creating kernel image packages.
 .
 If you are simply trying to build third-party modules for your kernel,
 you do not want this package. Install the appropriate xen-headers
 package instead.

Package: xen-headers-2.6.17-6
Architecture: amd64 i386
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: xen-headers, xen-headers-2.6
Description: Header files related to Linux kernel, specifically, version 2.6.17
 This package provides kernel header files for sites 
 that want the latest kernel headers for version 
 2.6.17
 Please read 
 /usr/share/doc/xen-headers-2.6.17/debian.README.gz
 for details

Package: xen-doc-2.6.17
Architecture: amd64 i386
Section: doc
Priority: optional
Provides: xenx-doc-2.6
Conflicts: xen-doc-2.6
Replaces: xen-doc-2.6
Depends: coreutils | fileutils (>= 4.0)
Description: Linux kernel specific documentation for version 2.6.17
 This package provides the various readme's in the 2.6.17 kernel
 Documentation/ subdirectory: these typically contain kernel-specific
 installation notes for some drivers for example. See
 /usr/share/doc/linux-doc-2.6.17/Documentation/00-INDEX for a list of what
 is contained in each file.  Please read the Changes file, as it contains
 information about the problems, which may result by upgrading your
 kernel.

Package: xen-headers-2.6.17-6-generic-xen0
Architecture: amd64 i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), xen-headers-2.6.17-6, ${shlibs:Depends}
Provides: xen-headers-xen0, xen-headers-xen0-2.6
Description: Linux kernel headers 2.6.17 on xen
 This package provides kernel header files for version 2.6.15 on 386, for
 sites that want the latest kernel headers.  Please read
 /usr/share/doc/xen-headers-2.6.17-6-686/debian.README.gz for details.

Package: xen-image-xen0-2.6.17-6-generic-xen0
Architecture: amd64 i386
Section: base 
Priority: optional 
Provides: xen-image-xen0,  xen-image-xen0-2.6 
Depends:  initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.2.2-3ubuntu2) 
Recommends: grub
Suggests: fdutils, xen-doc-2.6.17
Description: Linux xen kernel binary image for version 2.6.17 
 This package contains the Linux xen kernel image for version 2.6.17 
 and the modules built by the packager.

Package: xen-headers-2.6.17-6-server-xen0
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), xen-headers-2.6.17-6, ${shlibs:Depends}
Provides: xen-headers-xen0, xen-headers-xen0-2.6
Description: Linux kernel headers 2.6.17 on xen
 This package provides kernel header files for version 2.6.15 on 386, for
 sites that want the latest kernel headers.  Please read
 /usr/share/doc/xen-headers-2.6.17-6-686/debian.README.gz for details.

Package: xen-image-xen0-2.6.17-6-server-xen0
Architecture: i386
Section: base
Priority: optional
Provides: xen-image-xen0,  xen-image-xen0-2.6
Depends:  initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.2.2-3ubuntu2)
Recommends: grub
Suggests: fdutils, xen-doc-2.6.17
Description: Linux xen kernel binary image for version 2.6.17
 This package contains the Linux xen kernel image for version 2.6.17
 and the modules built by the packager.

Package: xen-headers-2.6.17-6-bigiron-xen0
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), xen-headers-2.6.17-6, ${shlibs:Depends}
Provides: xen-headers-xen0, xen-headers-xen0-2.6
Description: Linux kernel headers 2.6.17 on xen
 This package provides kernel header files for version 2.6.15 on 386, for
 sites that want the latest kernel headers.  Please read
 /usr/share/doc/xen-headers-2.6.17-6-686/debian.README.gz for details.

Package: xen-image-xen0-2.6.17-6-bigiron-xen0
Architecture: i386
Section: base
Priority: optional
Provides: xen-image-xen0,  xen-image-xen0-2.6
Depends:  initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.2.2-3ubuntu2)
Recommends: grub
Suggests: fdutils, xen-doc-2.6.17
Description: Linux xen kernel binary image for version 2.6.17
 This package contains the Linux xen kernel image for version 2.6.17
 and the modules built by the packager.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for kernel-source.
#
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (c) 1999-2002 Herbert Xu <herbert@debian.org>
# Copyright (c) 2004 Jens Schmalzing <jensen@debian.org>
#

# This is the debhelper compatability version to use.
export DH_COMPAT=4

SHELL := sh -e

stem := xen

# extract the upstream release and the full package version from the changelog
release	:= $(shell sed -n '1s/^.*(\(.*\)-.*).*$$/\1/p' debian/changelog)

# extract the version from the package name that can be different from release
pkgversion := $(shell sed -n '1s/^$(stem)-source-\([^ ]*\) .*/\1/p' debian/changelog)

# extract all the Debian revisions for this release from the changelog
revisions := $(shell sed -n 's/^$(stem)-source-$(pkgversion)\ .*($(release)-\(.*\)).*$$/\1/p' debian/changelog | tac)

# set the current Debian revision to the latest by default;
# note that for some targets, the two may actually be different.
revision ?= $(word $(words $(revisions)),$(revisions))

# Get the previously built revision; we compare ABIs with that.  If no 
# previous revision, default to 0.
prev_revisions := $(filter-out $(revision),0 $(revisions))
prev_revision := $(word $(words $(prev_revisions)),$(prev_revisions))

abidir := $(CURDIR)/debian/abi
skipabi := false

version.Debian: 
	echo $(pkgversion) > $@

release.Debian:
	echo $(release)-$(revision) > $@

# how we call ourselves recursively
# RECURSION = $(MAKE) -f debian/rules

gitver=$(shell if test -f .git/HEAD; then cat .git/HEAD; else echo ""; fi)
gitverpre=$(shell echo $(gitver) | cut -b -3)
gitverpost=$(shell echo $(gitver) | cut -b 30-32)

autobuild=$(shell if [ "$$AUTOBUILD" = "" ]; then echo n; else echo y; fi)

export version := 2.6.17
export debnum := -6
export abinum := 6

DEB_HOST_GNU_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

basedir := $(CURDIR)/debian/config/$(DEB_HOST_ARCH)

flavours := $(shell find $(basedir) -maxdepth 1 -type f ! -name default -printf '%f\n' \
)

builddir := $(CURDIR)/debian/build
srcdir := $(builddir)/$(stem)-source-$(version)

export DEBIAN_SRCTOP := $(srcdir)
export DEBIAN_UPSTREAM_VERSION := $(version)
export DEBIAN_STEM := $(stem)

export UBUNTUBUILD=1

ifeq ($(strip $(DEB_HOST_ARCH)),powerpc)
subarch := --subarch pmac
endif

MAKE_KPKG := make-kpkg --stem $(stem) --arch $(DEB_HOST_ARCH)

# temporary workarounds for now
XEN_HEADERS := xen-headers-$(version)-$(abinum)
XEN_HEADERS_DIR := $(CURDIR)/debian/$(XEN_HEADERS)
XEN_KERNEL_HEADERS := xen-headers-$(version)-$(abinum)
XEN_KERNEL_HEADERS_DIR := $(CURDIR)/debian/$(XEN_KERNEL_HEADERS)

XEN_DOC := xen-doc-$(pkgversion)
XEN_DOC_DIR := $(CURDIR)/debian/$(XEN_DOC)/usr/share/doc/$(XEN_DOC)

XEN_SOURCE := xen-source-$(pkgversion)
XEN_SOURCE_DIR := $(CURDIR)/debian/$(XEN_SOURCE)/usr/src/

unpack: stamp-unpack
stamp-unpack:
	dh_testdir
	find . \( -path ./debian -o -path ./.git -o -name .gitignore \) -prune -o -print | \
		cpio -dumpl $(srcdir)
	cd $(srcdir); rm -f stamp-* version.Debian release.Debian
	mkdir -p $(srcdir)/debian
	cp debian/changelog $(srcdir)/debian
	cp debian/control $(srcdir)/debian
	cp debian/copyright $(srcdir)/debian
	> $(srcdir)/debian/official
	install -D -m755 debian/post-install $(srcdir)/debian/post-install
	chmod u+x debian/header-install
	ln -s ../../../firmware $(srcdir)/debian
	for i in $(flavours); do \
		echo "$$i"; \
		cp -al $(srcdir) $(builddir)/build-$$i; \
		rm -f $(builddir)/build-$$i/.config; \
		cat $(basedir)/$$i >> $(builddir)/build-$$i/.config; \
	done

	touch stamp-unpack

build_prereq := \
	release.Debian version.Debian \
	unpack \

build: $(build_prereq)
	dh_testdir

	PATH=$$PWD/debian/bin:$$PATH; \
	export HARCH=$$(grep "^headers-$(DEB_HOST_ARCH)[[:space:]]" debian/config/archmap | grep -v ^# | awk '{print $$2}'); \
	cd $(srcdir); \
		make ARCH=$$HARCH defconfig; \
		mv .config .config.old; \
		sed 's/^# \(CONFIG_MODVERSIONS\) is not set$$/\1=y/' \
			.config.old > .config; \
		make ARCH=$$HARCH prepare


	for i in $(flavours); do \
		#export KPKG_ARCH=$$(grep "^$$i[[:space:]]" debian/config/archmap | grep -v ^# | awk '{print $$2}'); \
		cd $(builddir)/build-$$i; \
		if [ -e /CurrentlyBuilding ] && [ -z "$(CONCURRENCY_LEVEL)" ]; then \
			CONCURRENCY_LEVEL=$$(getconf _NPROCESSORS_ONLN) && \
			CONCURRENCY_LEVEL=$$(expr $$CONCURRENCY_LEVEL \* 2) && \
			export CONCURRENCY_LEVEL; \
		fi; \
		$(MAKE_KPKG) --subarch xen --append_to_version $(debnum)-$$i \
			build; \
		cd - > /dev/null; \
	done

	touch build-stamp

clean: debian/control
	dh_testdir
	dh_testroot

	$(MAKE_KPKG) clean
	rm -f stamp-* .config* release.Debian version.Debian
	rm -rf $(builddir)
	rm -rf xen-*

	dh_clean

	# udebs/kernel-wedge
	rm -rf TODO firmware modules kernel-versions package-list 


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	> debian/files

# Build architecture-independent files here.
binary-indep: build install xen-docs xen-source
	dh_testdir
	dh_testroot

# Build architecture-dependent files here.
binary-debs: install
	dh_testdir
	dh_testroot

	export KPKG_ARCH=$$(grep "^headers-$(DEB_HOST_ARCH)[[:space:]]" debian/config/archmap | grep -v ^# | awk '{print $$3}'); \
	cd $(srcdir); \

	for i in $(flavours); do \
		export KPKG_ARCH=$$(grep "^$$i[[:space:]]" debian/config/archmap | grep -v ^# | awk '{print $$2}'); \
		cp -al $(builddir)/build-$$i $(builddir)/install-$$i; \
		cd $(builddir)/install-$$i; \
		$(MAKE_KPKG) --subarch xen --append_to_version $(debnum)-$$i --initrd kernel-image; \
		cd - > /dev/null; \
		cat $(builddir)/install-$$i/debian/files >> debian/files; \
		#rm -rf $(builddir)/install-$$i; \
	done

xen-headers: install
	dh_testdir
	dh_testroot

	for i in $(flavours); do \
		mkdir -p $(XEN_HEADERS_DIR)-$$i/usr/src/$(XEN_HEADERS)-$$i; \
		cd $(builddir)/install-$$i; \
		for d in arch block crypto drivers firmware fs init ipc kernel lib mm modules net security sound usr xen; do \
		ln -s ../$(XEN_KERNEL_HEADERS)/$$d $(XEN_HEADERS_DIR)-$$i/usr/src/$(XEN_HEADERS)-$$i/ ; \
		done ; \
		cp -rp scripts Makefile .config $(XEN_HEADERS_DIR)-$$i/usr/src/$(XEN_HEADERS)-$$i; \
		mkdir $(XEN_HEADERS_DIR)-$$i/usr/src/$(XEN_HEADERS)-$$i/include;\
		for d in include/*; do \
			ln -s ../../$(XEN_KERNEL_HEADERS)/$$d $(XEN_HEADERS_DIR)-$$i/usr/src/$(XEN_HEADERS)-$$i/include/ ; \
		done ; \
		for d in asm config linux; do \
			rm $(XEN_HEADERS_DIR)-$$i/usr/src/$(XEN_HEADERS)-$$i/include/$$d ; \
		done ; \
		cp -rp include/asm include/config include/linux $(XEN_HEADERS_DIR)-$$i/usr/src/$(XEN_HEADERS)-$$i/include ; \
	done

	for j in $(flavours); do \
		dh_installchangelogs -p$(XEN_HEADERS)-$$j; \
		dh_installdocs -p$(XEN__HEADERS)-$$j; \
		dh_compress -p$(XEN_HEADERS)-$$j; \
		dh_fixperms -p$(XEN_HEADERS)-$$j; \
		dh_installdeb -p$(XEN_HEADERS)-$$j; \
		dh_gencontrol -p$(XEN_HEADERS)-$$j; \
		dh_md5sums -p$(XEN_HEADERS)-$$j; \
		dh_builddeb -p$(XEN_HEADERS)-$$j; \
        done


xen-kernel-headers: install
	dh_testdir
	dh_testroot


	export HARCH=$$(grep "^headers-$(DEB_HOST_ARCH)[[:space:]]" debian/config/archmap | grep -v ^# | awk '{print $$2}'); \
	mkdir -p $(XEN_KERNEL_HEADERS_DIR)/usr/src/$(XEN_KERNEL_HEADERS)
	cd $(srcdir); \
        ( \
          find . \
            -path './Documentation/*' -prune -o \
            -path './include/asm*' -prune -o \
            -path './scripts/*' -prune -o \
            -path './include/*' -print -o \
            \( -name 'Makefile*' -o -name 'Kconfig*' -o -name 'Rules.make' \) -print; \
          find include/asm-* -print; \
          for i in $$HARCH; do \
            find arch/$$i \
              \( -name 'Makefile*' -o -name 'Kconfig*' -o -name 'Rules.make' \) -print; \
          done; \
        ) \
        | \
	cpio -pd --preserve-modification-time $(XEN_KERNEL_HEADERS_DIR)/usr/src/$(XEN_KERNEL_HEADERS)

	dh_installchangelogs -p$(XEN_KERNEL_HEADERS)
	dh_installdocs  -p$(XEN_KERNEL_HEADERS)
	dh_compress -p$(XEN_KERNEL_HEADERS)
